/*
CTC Separate Stylesheet
Updated: 2025-12-08 11:37:00
*/

/*
CTC Separate Stylesheet
Updated: 2025-12-08 11:36:59
Theme Name: Twenty Twenty-Five Child
Theme URI: https://wordpress.org/themes/twentytwentyfive/
Template: twentytwentyfive
Author: the WordPress team
Author URI: https://wordpress.org
Description: Twenty Twenty-Five emphasizes simplicity and adaptability. It offers flexible design options, supported by a variety of patterns for different page types, such as services and landing pages, making it ideal for building personal blogs, professional portfolios, online magazines, or business websites. Its templates cater to various blog styles, from text-focused to image-heavy layouts. Additionally, it supports international typography and diverse color palettes, ensuring accessibility and customization for users worldwide.
Tags: one-column,custom-colors,custom-menu,custom-logo,editor-style,featured-images,full-site-editing,block-patterns,rtl-language-support,sticky-post,threaded-comments,translation-ready,wide-blocks,block-styles,style-variations,accessibility-ready,blog,portfolio,news
Version: 1.3.9
*/

/* FONTS */

@font-face {
    font-family: 'Linux Libertine Display';
    src: local('Linux Libertine Display'), local('LinLibertineDisplay'),
        url('fonts/LinLibertineDisplay.woff2') format('woff2'),
        url('fonts/LinLibertineDisplay.woff') format('woff');
    font-weight: normal;
    font-style: normal;
    font-display: swap;
}

a, p, h1,h2,h4,h5,h6 {
  font-family: "Linux Libertine Display";
  font-weight: normal;
  font-style: normal;
  font-display: swap;
}
.it-oversigt-link, .it-oversigt-link a, .wp-block-post-navigation-link { 
  color: rgb(17, 17, 17);
  font-family: "Corbel";
  font-size: 11.2px!important;
  font-style: normal;
  font-weight: 400;
  letter-spacing: 2px;
  line-height: 12.6px;
  text-transform: uppercase;
}

.otgs-development-site-front-end, .wpml-ls-statics-footer {
  display: none!important;
}

/* FOR TRANSLATING SITE */
.attachment-post-thumbnail {
  display: none!important;
}


/* WP ROCKET FADE IN LAZY LOAD */
/* Image with 'data' attribute is hidden */
img[data-lazy-src] {
/* we set the opacity to 0 */
   opacity: 0;
}
/* Image without 'data' attribute is (or becomes) visible */
img.lazyloaded {
/* prepare the future animation */
   -webkit-transition: opacity .5s linear 0.1s;
       -moz-transition: opacity .5s linear 0.1s;
                 transition: opacity .5s linear 0.1s;
/* we set the opacity to 1 to do the magic */
   opacity: 1;
}



a:where(:not(.wp-element-button)) {
  text-decoration: none;
}

a:where(:not(.wp-element-button)):hover {
  text-decoration: underline;
}

.single .entry-content a {
  text-decoration: underline!important;
}

.entry-content a {
  text-decoration: underline!important;
}
.single .entry-content a: {
  text-decoration: none;
}


.wp-block-image :where(figcaption) {
  margin-top: 0;
}

.wp-block-file__button.wp-element-button {
  background-color: white;
  color: black;
  font-family: "Corbel";
  letter-spacing: 2px;
  text-transform: uppercase;
  padding: 0!important;
  margin-left: 0!important;
  font-size: small!important;
}
.wp-block-file a:nth-child(2n) {
  display: none !important;
}

@media (min-width: 734px) {
  .wp-block-file object {
    height: 800px!important;
  }  
}



h3 {
  font-family: "Corbel";
  font-weight: 400;
  text-transform: uppercase;
  font-size: 0.7em !important;
  letter-spacing: 2px;
  font-size: 12px;
}

h3.wp-block-heading {
  font-size: 12.8px !important;
  margin-top: 18px;
}

li a, a {
  font-family: "Corbel";
}

p > a {
  font-family: "Linux Libertine Display";
}

p {
  font-size: 16px;
}

.wp-block-navigation .wp-block-navigation-item__label {
  font-size: 12.8px;
  letter-spacing: 1px;
}

.has-medium-font-size {
  font-size: 16px !important;
}

figcaption a {
  text-transform: uppercase;
}

.it-center {
  text-align: center;
}


/* OTHER */




main {
  margin-top: 0 !important;
  min-height: 80vh;
}

.wp-block-navigation-item__content {
  text-transform: uppercase;
}

/* SEARCH */

/* To be able to show it with JS */
.asl_w_container {
  display: none;
}

.wp-block-query .category-johannes-tekster a img {
  object-fit: contain !important;
}
.proinput {
  margin-left: 0 !important;
  padding-left: 0 !important;
}

#ajaxsearchliteres1 {
  margin-top: 0;
}

div.asl_r .results .item .asl_content h3 a, div.asl_r p.showmore span {
  font-family: "Corbel";
  font-weight: 400!important;
  text-transform: uppercase!important;
  font-size: 0.7em !important;
  letter-spacing: 2px!importat;
  color: black!important;
}

.asl_desc {
  font-family: "Linux Libertine Display"!important;
}

.promagnifier {
  display: none;
}

@media (min-width: 734px) {
  .asl_w_container.asl_w_container_1 {
    width: 730px;
    margin: 0 auto;
  }

}

.it-header-title, .it-header-title a {
  font-size: var( --wp--preset--font-size--large) !important;
  color: rgb(17, 17, 17);
  font-family: "Linux Libertine Display";
  font-style: normal;
  font-weight: 400;
  letter-spacing: -0.1px;
  line-height: 30.8px
}



/* Header */

header {
  position: sticky;
  top: 0;
  background-color: white;
  z-index: 99;
}

.it-between a {
  pointer-events: none;
}

.it-da a {
  text-decoration: underline;
}



@media (min-width: 734px) {
  .it-735 {
    width: 735px;
    justify-content: space-between;
  }  
  header {
    position: sticky;
    top: -71px; /* Without top "Arkitekterne... */
    background-color: white;
    z-index: 99;
  }
  /* Set "SØG" i toppen af mobil menu */
  .menu-toggle {
    order: -1;
  }

}

/* LIVET I TRE HUSE */
/* THREE COLUMNS */
.archive.category-41 .is-layout-grid, .archive.category-40 .is-layout-grid, .archive.category-43 .is-layout-grid {
  grid-template-columns: repeat(auto-fill, minmax(min(20rem, 100%), 1fr))!important;
}

/* OM PAGES */

.it-om img {
  height: 539px;
  object-fit: cover;
  width: 100%;
}

@media (max-width: 1100px) {
  .it-om img {
    height: 439px;
  }
}



/* footer */
/* HEADING IN FOOTER */
.it-extra-margin {
  margin-top: 5px !important;
}

footer {
  margin-bottom: 60px !important;
}

@media (max-width: 734px) { 

  footer {
    margin-top: var(--wp--preset--spacing--60);
  }

}

.wp-block-site-title {
  font-weight: 400;
}

/* PDF */

/* Inline | http://exner.local/wp-content/uploads/2025/12/1989.4-Tale-ved-Koldinghus-indvielse-Koldinghus-Arbog.pdf */

#editorCommentButton {
  display: none!important;
}

#editorSignatureButton {
  display: none!important;
}

#editorHighlightButton {
  display: none!important;
}

#editorFreeTextButton {
  display: none!important;
}

#editorInkButton {
  display: none!important;
}

#editorStampButton {
  display: none!important;
}



/* LEAFLET */

#map {
height: 100vh; 
z-index: 1;
}

/* PAGES */ 

/* PAGINATION */
.wp-block-query-pagination {
  font-family: "Corbel";
  text-transform: uppercase;
  font-size: small;
}
.page-numbers {
  text-decoration: none;
}

.page-numbers.current {
  text-decoration: underline;
  text-decoration-thickness: 1px !important;
  text-underline-offset: .1em;
}


/* Oversigt / PAGES */
.wp-container-core-group-is-layout-988b637e {
  text-align: center;
}

/* FP / PAGES */

main > .is-layout-constrained {
  padding-top: 0!important;
}
.home .it-header-title {
  display: none;
}

.home .entry-content {
  margin-block-start: 0!important;
}

.home .wp-image-2660 {
  width: 93%!important;
}

@media (max-width: 734px) {

  .home .wp-image-2660 {
    width: 100%!important;
  }
  .home .wp-element-caption {
    font-size: 1rem!important;  
  }
  .home .wp-element-caption {
    margin-top: -100px;
  }

}


.home .wp-container-core-group-is-layout-2e5067d7 .alignfull {
  text-align: center;
}

.home .wp-element-caption {
  margin-top: -100px;
  color: white;
  font-size: 2rem;
  margin-left: auto;
  margin-right: auto;
  width: 311px;
  text-align: center;
}

.home .it-fp-img {
  text-align: center;
}
.home .it-fp-img img {
  /*max-height: 85vh; */
  width: auto;
  margin: 0 auto;
}

@media (max-width: 734px) {

  .home .wp-image-2660 {
    width: 100%!important;
  }
  .home .wp-element-caption {
    font-size: 1.3rem!important;  
  }
  .home .wp-element-caption {
    margin-top: -62px;
    padding-bottom: 30px;
  }

}

.home header {
      padding-bottom: 10px;

}

@media (min-width: 734px) {

  .home header {
    top: 0px; /* Without top "Arkitekterne... */
  }

}

.home .entry-content > .wp-block-group {
  margin-top: 0!important;
}
.home .is-layout-constrained:first-child {
  margin-block-start: 0!important;
}

:root :where(.is-layout-constrained) > * {
  /* margin-block-start: 0.7rem; */
}

/* Element | http://exner.local/ */

.wp-container-core-group-is-layout-2e5067d7 {
  /* margin-top: var(--wp--preset--spacing--40); */
}

.home .wp-block-post-title {
  display: none;
}

.home .wp-block-group.alignfull.has-global-padding.is-layout-constrained.wp-block-group-is-layout-constrained {
  padding-bottom: 0 !important;
}


/* GALLERY / PAGES */ 


@media (max-width: 1300px) {

  .splide__slide figure {
    width: auto;
    height: auto;
  }

  body .it-info-wrapper {
    margin-top: var(--wp--preset--spacing--60);
  }

  .splide__slide img {
    padding-bottom: 20px;
  }

}

.splide__slide img {
  max-width: 100%!important;
  height: auto!important;
}

@media (max-width: 767px) {

  #main-carousel-track {
    height: unset;
  }

}
.it-randomize-content figure {
  margin-bottom: 0 !important;
}



body .it-info-wrapper p {
  line-height: 22.4px;
  margin-top: 0;
  margin-bottom: 0;
}







.thumbnails {
  display: flex;
  margin: 0.5rem auto 0.5rem;
  padding: 0;
  flex-wrap: wrap;
  margin-left: auto !important;
  margin-right: auto !important;
}

.thumbnail {
  width: 93px;
  height: 93px;
  overflow: hidden;
  list-style: none;
  cursor: pointer;
  opacity: 0.4;
  margin: 0.2rem 0.4rem 0.2rem 0;
}

.splide__slide figcaption {
  font-size: 12px;
  text-align: center;
  padding-bottom: 14px;
}

.glightbox {
  cursor: pointer;
}

.splide__arrow {
  background: transparent!important;
}



#main-carousel-track {
  /*height: 1000px;*/
}

#main-carousel li {
  display: flex;
  justify-content: center;
  align-items: center;
}

.thumbnail img {
  width: 100%;
  height: auto;
}

.thumbnail.is-active {
  opacity: 1;
}

/* ARCHIVE */

/* Hover effect grayscale */
.it-oversigt-link img, .it-archive-loop img {
  filter: grayscale(1);
  -webkit-filter: grayscale(1);
  transition: all 0.2s ease-out;
  -webkit-transition : all 0.2s ease-out;
}

.it-oversigt-link img:hover, .it-archive-loop img:hover {
  filter: grayscale(0);
  -webkit-filter: grayscale(0);

}
.archive .wp-layout-grid .is-layout-grid, .category .wp-block-query .is-layout-grid {
  row-gap: 20px;
}
/* Two columns on mobile */
@media (max-width: 600px) {
  .wp-block-post-template-is-layout-grid.wp-block-post-template-is-layout-grid.wp-block-post-template-is-layout-grid.wp-block-post-template-is-layout-grid, .page-id-2 .entry-content > .is-layout-grid  {
    grid-template-columns: 1fr 1fr!important;
  }
}

/* PAGES END */

.default-featured-img {
  /*display: none!important;*/
}


.wp-block-post-title {
  text-align: center;
}


/* IT STYLES */

.it-max-width {
  max-width: 1340px;
  margin-left: auto;
  margin-right: auto;
}

.it-no-margin-top {
  margin-top: 0!important;
}

.it-no-margin-bottom {
  margin-bottom: 0!important;
}




/* ROOT */

:root {
  --wp--preset--font-family--manrope: 'Linux Libertine Display', sans-serif;
  --wp--preset--font-family--fira-code: "Corbel", monospace;
}
/*
:root {
  --wp--style--global--content-size: 1140px;
  --wp--style--global--wide-size: 1140px;
}*/
:root {
  --wp--preset--aspect-ratio--square: 1;
  --wp--preset--aspect-ratio--4-3: 4/3;
  --wp--preset--aspect-ratio--3-4: 3/4;
  --wp--preset--aspect-ratio--3-2: 3/2;
  --wp--preset--aspect-ratio--2-3: 2/3;
  --wp--preset--aspect-ratio--16-9: 16/9;
  --wp--preset--aspect-ratio--9-16: 9/16;
  --wp--preset--color--black: #000000;
  --wp--preset--color--cyan-bluish-gray: #abb8c3;
  --wp--preset--color--white: #ffffff;
  --wp--preset--color--pale-pink: #f78da7;
  --wp--preset--color--vivid-red: #cf2e2e;
  --wp--preset--color--luminous-vivid-orange: #ff6900;
  --wp--preset--color--luminous-vivid-amber: #fcb900;
  --wp--preset--color--light-green-cyan: #7bdcb5;
  --wp--preset--color--vivid-green-cyan: #00d084;
  --wp--preset--color--pale-cyan-blue: #8ed1fc;
  --wp--preset--color--vivid-cyan-blue: #0693e3;
  --wp--preset--color--vivid-purple: #9b51e0;
  --wp--preset--color--base: #FFFFFF;
  --wp--preset--color--contrast: #111111;
  --wp--preset--color--accent-1: #FFEE58;
  --wp--preset--color--accent-2: #F6CFF4;
  --wp--preset--color--accent-3: #503AA8;
  --wp--preset--color--accent-4: #686868;
  --wp--preset--color--accent-5: #FBFAF3;
  --wp--preset--color--accent-6: color-mix(in srgb, currentColor 20%, transparent);
  --wp--preset--gradient--vivid-cyan-blue-to-vivid-purple: linear-gradient(135deg,rgb(6,147,227) 0%,rgb(155,81,224) 100%);
  --wp--preset--gradient--light-green-cyan-to-vivid-green-cyan: linear-gradient(135deg,rgb(122,220,180) 0%,rgb(0,208,130) 100%);
  --wp--preset--gradient--luminous-vivid-amber-to-luminous-vivid-orange: linear-gradient(135deg,rgb(252,185,0) 0%,rgb(255,105,0) 100%);
  --wp--preset--gradient--luminous-vivid-orange-to-vivid-red: linear-gradient(135deg,rgb(255,105,0) 0%,rgb(207,46,46) 100%);
  --wp--preset--gradient--very-light-gray-to-cyan-bluish-gray: linear-gradient(135deg,rgb(238,238,238) 0%,rgb(169,184,195) 100%);
  --wp--preset--gradient--cool-to-warm-spectrum: linear-gradient(135deg,rgb(74,234,220) 0%,rgb(151,120,209) 20%,rgb(207,42,186) 40%,rgb(238,44,130) 60%,rgb(251,105,98) 80%,rgb(254,248,76) 100%);
  --wp--preset--gradient--blush-light-purple: linear-gradient(135deg,rgb(255,206,236) 0%,rgb(152,150,240) 100%);
  --wp--preset--gradient--blush-bordeaux: linear-gradient(135deg,rgb(254,205,165) 0%,rgb(254,45,45) 50%,rgb(107,0,62) 100%);
  --wp--preset--gradient--luminous-dusk: linear-gradient(135deg,rgb(255,203,112) 0%,rgb(199,81,192) 50%,rgb(65,88,208) 100%);
  --wp--preset--gradient--pale-ocean: linear-gradient(135deg,rgb(255,245,203) 0%,rgb(182,227,212) 50%,rgb(51,167,181) 100%);
  --wp--preset--gradient--electric-grass: linear-gradient(135deg,rgb(202,248,128) 0%,rgb(113,206,126) 100%);
  --wp--preset--gradient--midnight: linear-gradient(135deg,rgb(2,3,129) 0%,rgb(40,116,252) 100%);
  --wp--preset--font-size--small: 0.875rem;
  --wp--preset--font-size--medium: 16px;
  --wp--preset--font-size--medium: clamp(1rem, 1rem + ((1vw - 0.2rem) * 0.196), 1.125rem);
  --wp--preset--font-size--large: clamp(1.125rem, 1.125rem + ((1vw - 0.2rem) * 0.392), 1.375rem);
  --wp--preset--font-size--x-large: clamp(1.75rem, 1.75rem + ((1vw - 0.2rem) * 0.392), 2rem);
  --wp--preset--font-size--xx-large: clamp(2.15rem, 2.15rem + ((1vw - 0.2rem) * 1.333), 3rem);
  --wp--preset--spacing--20: 10px;
  --wp--preset--spacing--30: 20px;
  --wp--preset--spacing--40: 30px;
  --wp--preset--spacing--50: clamp(30px, 5vw, 50px);
  --wp--preset--spacing--60: clamp(30px, 7vw, 70px);
  --wp--preset--spacing--70: clamp(50px, 7vw, 90px);
  --wp--preset--spacing--80: clamp(70px, 10vw, 140px);
  --wp--preset--shadow--natural: 6px 6px 9px rgba(0, 0, 0, 0.2);
  --wp--preset--shadow--deep: 12px 12px 50px rgba(0, 0, 0, 0.4);
  --wp--preset--shadow--sharp: 6px 6px 0px rgba(0, 0, 0, 0.2);
  --wp--preset--shadow--outlined: 6px 6px 0px -3px rgb(255, 255, 255), 6px 6px rgb(0, 0, 0);
  --wp--preset--shadow--crisp: 6px 6px 0px rgb(0, 0, 0);
}
:root {
  --wp--preset--font-size--normal: 16px;
  --wp--preset--font-size--huge: 42px;
}
